From e8c9220934b72d110399261e21630ad4e00d24e4 Mon Sep 17 00:00:00 2001
From: Tira Odhner <pair+aodhner@pivotal.io>
Date: Fri, 17 Mar 2017 14:21:58 -0400
Subject: [PATCH 1/3] Move the foreign key sql into a /default directory so we
 will be able to create separate versions of sql

---
 .../server_groups/servers/databases/schemas/tables/__init__.py      | 2 +-
 .../databases/schemas/tables/constraints/foreign_key/__init__.py    | 6 +++---
 .../tables/templates/foreign_key/sql/{ => default}/begin.sql        | 0
 .../tables/templates/foreign_key/sql/{ => default}/create.sql       | 0
 .../tables/templates/foreign_key/sql/{ => default}/create_index.sql | 0
 .../tables/templates/foreign_key/sql/{ => default}/delete.sql       | 0
 .../schemas/tables/templates/foreign_key/sql/{ => default}/end.sql  | 0
 .../tables/templates/foreign_key/sql/{ => default}/get_cols.sql     | 0
 .../templates/foreign_key/sql/{ => default}/get_constraint_cols.sql | 0
 .../templates/foreign_key/sql/{ => default}/get_constraints.sql     | 0
 .../tables/templates/foreign_key/sql/{ => default}/get_name.sql     | 0
 .../tables/templates/foreign_key/sql/{ => default}/get_oid.sql      | 0
 .../foreign_key/sql/{ => default}/get_oid_with_transaction.sql      | 0
 .../tables/templates/foreign_key/sql/{ => default}/get_parent.sql   | 0
 .../tables/templates/foreign_key/sql/{ => default}/nodes.sql        | 0
 .../tables/templates/foreign_key/sql/{ => default}/properties.sql   | 0
 .../tables/templates/foreign_key/sql/{ => default}/update.sql       | 0
 .../tables/templates/foreign_key/sql/{ => default}/validate.sql     | 0
 18 files changed, 4 insertions(+), 4 deletions(-)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/begin.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/create.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/create_index.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/delete.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/end.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/get_cols.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/get_constraint_cols.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/get_constraints.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/get_name.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/get_oid.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/get_oid_with_transaction.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/get_parent.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/nodes.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/properties.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/update.sql (100%)
 rename web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/{ => default}/validate.sql (100%)

diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
index 7b3c4f86..46c4dd29 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/__init__.py
@@ -297,7 +297,7 @@ class TableView(PGChildNodeView, DataTypeReader, VacuumSettings):
             self.index_constraint_template_path = 'index_constraint/sql'
 
             # Template for foreign key constraint node
-            self.foreign_key_template_path = 'foreign_key/sql'
+            self.foreign_key_template_path = 'foreign_key/sql/#{0}#'.format(ver)
 
             # Template for index node
             self.index_template_path = 'index/sql/#{0}#'.format(ver)
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
index 2161976a..0ca88e1b 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/foreign_key/__init__.py
@@ -234,7 +234,7 @@ class ForeignKeyConstraintView(PGChildNodeView):
                 kwargs['sid']
             )
             self.conn = self.manager.connection(did=kwargs['did'])
-            self.template_path = 'foreign_key/sql'
+            self.template_path = 'foreign_key/sql/#{0}#'.format(self.manager.version)
 
             # We need parent's name eg table name and schema name
             SQL = render_template("/".join([self.template_path,
@@ -369,7 +369,7 @@ class ForeignKeyConstraintView(PGChildNodeView):
                 sid
             )
         self.conn = self.manager.connection(did=did)
-        self.template_path = 'foreign_key/sql'
+        self.template_path = 'foreign_key/sql/#{0}#'.format(self.manager.version)
 
         # We need parent's name eg table name and schema name
         SQL = render_template("/".join([self.template_path,
@@ -485,7 +485,7 @@ class ForeignKeyConstraintView(PGChildNodeView):
                 sid
             )
         self.conn = self.manager.connection(did=did)
-        self.template_path = 'foreign_key/sql'
+        self.template_path = 'foreign_key/sql/#{0}#'.format(self.manager.version)
 
         # We need parent's name eg table name and schema name
         SQL = render_template("/".join([self.template_path,
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/begin.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/begin.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/begin.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/begin.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/create.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/create.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/create.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/create.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/create_index.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/create_index.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/create_index.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/create_index.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/delete.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/delete.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/delete.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/delete.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/end.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/end.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/end.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/end.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_cols.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_cols.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_cols.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_cols.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_constraint_cols.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_constraint_cols.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_constraint_cols.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_constraint_cols.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_constraints.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_constraints.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_constraints.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_constraints.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_name.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_name.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_name.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_name.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_oid.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_oid.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_oid.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_oid.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_oid_with_transaction.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_oid_with_transaction.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_oid_with_transaction.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_oid_with_transaction.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_parent.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_parent.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/get_parent.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/get_parent.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/nodes.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/nodes.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/nodes.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/nodes.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/properties.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/properties.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/properties.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/properties.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/update.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/update.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/update.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/update.sql
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/validate.sql b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/validate.sql
similarity index 100%
rename from web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/validate.sql
rename to web/pgadmin/browser/server_groups/servers/databases/schemas/tables/templates/foreign_key/sql/default/validate.sql
-- 
2.12.0

